Bug 811126 - Enable PortalRequestHandler to set Cache-control according to some configuration option
Enable PortalRequestHandler to set Cache-control according to some configurat...
Status: VERIFIED
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Portal (Show other bugs)
6.0.0
All All
unspecified Severity low
: DR01
: 6.2.0
Assigned To: Juraci Paixão Kröhling
:
Depends On:
Blocks: 1072146
  Show dependency treegraph
 
Reported: 2012-04-10 04:35 EDT by Adam Kovari
Modified: 2016-10-30 18:59 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Previously, cache control could not be fine tuned. This prevented highly concurrent portals benefiting from caching. The enhancement adds an option for an administrator to set a custom cache-control string on the portal's configuration. This allows an administrator to fine tune the cache-control HTTP header, based on the portal's requirements. Portals without this requirement continue to have the same behavior as before.
Story Points: ---
Clone Of:
: 1072146 (view as bug list)
Environment:
Last Closed:
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker GTNPORTAL-3361 Major Resolved Allow more flexible cache-control header per portal 2016-10-30 20:13 EDT

  None (edit)
Description Adam Kovari 2012-04-10 04:35:38 EDT
Description of problem:
org.exoplatform.portal.application.PortalRequestHandler calls
res.setHeader("Cache-Control", "no-cache");

need to change "no-cache" to "no-store", "must-revalidate", "max-age=0", ...


Version-Release number of selected component (if applicable):
EPP 5

How reproducible:
always

Actual results:
the Cache-control setting is harcoded in java code

Expected results:
pick Cache-control from configuration option

Additional info:
please request if needed
Comment 3 Juraci Paixão Kröhling 2014-01-10 09:34:00 EST
Pull request: https://github.com/gatein/gatein-portal/pull/759
Comment 4 Peter Palaga 2014-01-15 14:39:12 EST
Fixed in GateIn master (3.7.x)
Comment 5 Tomas Kyjovsky 2014-05-26 08:56:28 EDT
I tested setting a custom value for cacheControl portal property via UI. After page reload the server returns the specified value in the "Cache-Control" header.

When the portal/site is exported there is an entry for cacheControl in the properties block of portal.xml file.

   <entry key="cacheControl">VALUE</entry>


Note: Any string value is accepted in the cache-control input field. There is no validation.

Note You need to log in before you can comment on or make changes to this bug.